Package: org.gradle.nativeplatform.plugins

## [Java] Class NativeComponentModelPlugin

- org.gradle.nativeplatform.plugins.NativeComponentModelPlugin

- All Implemented Interfaces and Traits:
    Plugin

      @Incubating
      public class NativeComponentModelPlugin
      extends Object

  A plugin that sets up the infrastructure for defining native binaries.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `NativeComponentModelPlugin (org.gradle.model.internal.registry.ModelRegistry modelRegistry, org.gradle.internal.reflect.Instantiator instantiator)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `apply(org.gradle.api.internal.project.ProjectInternal project)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### @javax.inject.Inject public NativeComponentModelPlugin(org.gradle.model.internal.registry.ModelRegistry modelRegistry, org.gradle.internal.reflect.Instantiator instantiator)

  - ### Method Detail

    - #### public void apply(org.gradle.api.internal.project.ProjectInternal project)